Subject: Re: [PATCH v11 00/10] bisect terms

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Jun 2015 09:44:33 -0700

Matthieu Moy <[email-masked]> writes:

> So, here's a reroll that tries to address the ongoing discussion.
>
> The first patches are preparatory steps, which are IMHO good
> regardless of the features. I kept the user-interface to chose terms
> at the end, and tried to keep the UI patches as small as possible.
>
> I have the feeling that "bisect: add the terms old/new" should be
> dropped, but I have no strong opinion on that. If you like the
> feature, say so. If you think the feature doesn't bring enough, and
> should eventually be obsoleted by "guess which commit is old and which
> is new", say so too.

I personally do not mind having old/new, as long as it does not make
it harder to build on top of the codebase (and existing user
experience) to eventually transition to "you can always say good or
bad and we'll figure out which of old/new they map to".  Obviously
we will never guess which is old/new when the user uses old/new as
the chosen terms, and having to special case that might complicat
things, which is where that "as long as it does not make it harder"
above comes from.

> The beginning of the series didn't change much since v10. The major
> change is that I gave up using "git bisect terms <foo> <bar>", and
> implemented the same feature in "git bisect start". We're losing the
> ability to run "git bisect terms" several times to change the terms
> before we use them, but I'm not sure this was a useful feature. OTOH,
> we're back to the principle "git bisect start" starts from a fresh
> state, this avoids confusing the situation where the user has leftover
> from yesterday's "git bisect terms". And the code is much, much
> simpler.

I like that direction.  But let's first wait to see what others say.

Thanks.

>
> Antoine Delaite (4):
>   bisect: correction of typo
>   bisect: replace hardcoded "bad|good" by variables
>   bisect: simplify the addition of new bisect terms
>   bisect: add the terms old/new
>
> Matthieu Moy (5):
>   Documentation/bisect: move getting help section to the end
>   bisect: don't mix option parsing and non-trivial code
>   bisect: sanity check on terms
>   bisect: add 'git bisect terms' to view the current terms
>   bisect: allow setting any user-specified in 'git bisect start'
>
> Michael Haggerty (1):
>   Documentation/bisect: revise overall content
>
>  Documentation/git-bisect.txt | 236 ++++++++++++++++++++++++++++-----------
>  bisect.c                     |  94 ++++++++++++----
>  git-bisect.sh                | 255 +++++++++++++++++++++++++++++++++++--------
>  revision.c                   |  19 +++-
>  t/t6030-bisect-porcelain.sh  | 137 ++++++++++++++++++++++-
>  5 files changed, 612 insertions(+), 129 deletions(-)